BALANCE_SHEET_FIELDS = [
    "use_right_assets",
    "unearned_reserve_receivable",
    "undistributed_profit",
    "unclaimed_reserve_receivable",
    "unclaimed_indemnity_reserve",
    "uncertained_premium_reserve",
    "treasury_stock",
    "total_liabilities",
    "total_fixed_assets",
    "total_equity_and_liabilities",
    "total_equity",
    "total_assets",
    "tax_payable",
    "surplus_reserve",
    "sub_issue_security_proceeds",
    "specific_reserve",
    "short_term_loans",
    "short_term_debt",
    "settlement_provision",
    "resale_financial_assets",
    "reinsurance_reserve_receivable",
    "reinsurance_receivable",
    "reinsurance_payable",
    "refundable_deposits",
    "refundable_capital_deposits",
    "real_estate_investment",
    "proxy_security_proceeds",
    "prepayment",
    "preference_shares",
    "precious_metals",
    "policy_dividend_payable",
    "perpetual_equity_debt",
    "perpetual_bond",
    "payroll_payable",
    "paid_in_capital",
    "other_payable",
    "other_non_current_liabilities",
    "other_non_current_assets",
    "other_liabilities",
    "other_illiquidy_financial_assets",
    "other_equity_investment",
    "other_equity_instruments",
    "other_debt_investment",
    "other_current_liabilities",
    "other_current_assets",
    "other_assets",
    "other_accts_receivable",
    "oil_and_gas_assets",
    "notes_payable",
    "non_current_liability_due_one_year",
    "non_current_liabilities",
    "non_current_assets",
    "non_current_asset_due_one_year",
    "net_long_term_equity_investment",
    "minority_interest",
    "long_term_receivables",
    "long_term_payable",
    "long_term_loans",
    "long_term_deferred_expenses",
    "loans_advances_to_customers",
    "loan_account_receivables",
    "life_reserve_receivable",
    "life_insurance_reserve",
    "liabilities_hold_for_sale",
    "lend_capital",
    "lease_liabilities",
    "inventory",
    "interest_receivable",
    "interest_payable",
    "interbank_deposits",
    "intangible_assets",
    "insurer_deposit_investment",
    "insurance_receivable",
    "insurance_contract_reserve",
    "independent_account_liabilities",
    "independent_account_assets",
    "impairment_intangible_assets",
    "health_reserve_receivable",
    "health_insurance_reserve",
    "grants_received",
    "goodwill",
    "general_reserve",
    "fund_providing",
    "foreign_currency_converted_difference",
    "fixed_deposits",
    "fixed_asset_to_be_disposed",
    "financial_receivable",
    "financial_liabilities",
    "financial_lease_receivable",
    "financial_asset_hold_to_maturity",
    "financial_asset_held_for_trading",
    "financial_asset_available_for_sale",
    "estimated_liabilities",
    "equity_preferred_stock",
    "equity_parent_company",
    "engineer_material",
    "dividend_receivable",
    "dividend_payable",
    "derivative_financial_liabilities",
    "derivative_financial_assets",
    "deposits_of_interbank",
    "deposits_from_interbank",
    "deposits",
    "deferred_revenue",
    "deferred_income_tax_liabilities",
    "deferred_income_tax_assets",
    "debt_investment",
    "current_liabilities",
    "current_assets",
    "contract_liabilities",
    "contract_assets",
    "construction_in_progress",
    "compensation_payable",
    "comission_payable",
    "client_provision",
    "client_deposits",
    "cash_equivalent",
    "capitalized_biological_assets",
    "capital_reserve",
    "buy_back_security_proceeds",
    "borrowings_from_central_banks",
    "borrowings_capital",
    "bond_payable",
    "bill_receivable",
    "bill_accts_receivable",
    "assets_hold_for_sale",
    "advance_insurance",
    "advance_from_customers",
    "accts_payable",
    "accrued_staff_costs",
    "cash_and_equivalents",
    "loan",
    "insurance_contract",
    "hong_kong_special_administrative_region_government_circulating_banknotes",
    "special_asset_projects",
    "equity",
    "fixed_assets",
    "liabilities_for_other_items",
    "financial_liabilities_recognized_at_fair_value_through_profit_or_loss",
    "financial_assets_recognized_in_profit_or_loss_at_fair_value",
    "portfolio_investment",
    "investment_in_joint_ventures_and_associates",
    "accounts_payable_to_banks_and_other_financial_institutions",
    "reserve",
    "shareholders_equity",
    "total_funding_sources",
    "total_equity_and_total_liabilities",
    "other_items_related_to_shareholder_equity",
    "investment_contract",
    "issued_deposit_certificates",
    "other_rights_and_interests",
    "accumulated_losses_retained_profits",
    "receivable_investment_income",
    "deferred_tax_assets",
    "property_factory_and_equipment",
    "investment_property",
    "recoverable_taxes",
    "investment_in_joint_ventures",
    "current_income_tax_liabilities",
    "issued_debt_instruments",
    "debt_securities",
    "subsidiary_companies_and_other_equity",
    "statutory_deposit",
    "perpetual_subordinated_capital_securities",
    "net_assets",
    "sell_repurchased_securities",
    "loan_capital",
    "trade_documents",
    "investments_classified_as_loans_and_receivables",
    "post_paid_liabilities",
    "proposed_dividend_payout",
    "equity_of_joint_venture_companies",
    "insurance_contract_assets",
    "debt_instrument_investments_recognized_at_fair_value_in_other_comprehensive_income",
    "financial_assets_measured_at_amortized_cost",
    "disburse_reinsurance_contract_liabilities",
    "non_trading_equity_instrument_investments_recognized_at_fair_value_in_other_comprehensive_income",
    "financial_assets_recognized_at_fair_value_in_other_comprehensive_income",
    "treasury_stocks",
    "less_treasury_stocks",
    "prepaid_lease_payment",
    "cash_on_hand_and_short_term_funds",
    "transfer_reinsurance_contract_assets",
    "other_loans_non_current",
    "non_current_other_loans",
    "insurance_accounts_payable_current_liabilities",
    "derivative_financial_instruments_current_assets",
    "current_assets_derivative_financial_instruments",
    "goodwill_and_intangible_assets",
    "revaluation_reserve",
    "issued_bonds",
    "policyholder_savings",
    "insurance_and_other_receivables",
    "equity_securities_and_unit_trust_fund_investment_portfolio",
    "liabilities_interbank_and_other_financial_institution_deposits",
    "other_accounts_and_preparations",
    "loans_and_other_accounts",
    "customer_deposit",
    "assets_interbank_and_other_financial_institution_deposits",
    "payable_taxes",
    "dealing_with_subordinated_debt",
    "other_assets_projects",
    "deferred_tax_liabilities",
    "pending_compensation_preparation",
    "statutory_general_reserve_fund",
    "non_computational_items",
    "other_reserves",
    "issuing_bonds",
    "debt_adjustment_project",
    "trading_financial_assets",
    "customer_loans_and_other_payments",
    "equity_premium",
    "asset_adjustment_project",
    "hong_kong_sar_government_debt_certificate",
    "assets_to_be_sold",
    "accounts_receivable_investments",
    "translation_reserve",
    "deposit_certificate_held",
    "other_receivables",
    "other_comprehensive_income",
    "financial_investment",
    "insurance_contract_liability",
    "held_for_sale_liabilities",
    "accounts_receivable_loans",
    "current_financial_leasing_liabilities",
    "prepaid_and_receivable_taxes",
    "non_current_deferred_income",
    "current_deferred_income",
    "equity_of_the_joint_venture_company",
    "other_items_of_current_assets",
    "non_current_financial_leasing_liabilities",
    "current_financial_assets_recognized_at_fair_value_through_profit_or_loss",
    "non_current_financial_assets_recognized_at_fair_value_through_profit_or_loss",
    "non_current_assets_other_items",
    "current_liabilities_derivative_financial_instruments",
    "non_current_assets_derivative_financial_instruments",
    "non_current_liabilities_derivative_financial_instruments",
    "advance_receipts",
    "non_current_liabilities_and_other_items",
    "net_current_assets",
    "bank_loans_and_overdrafts",
    "long_term_bank_loans",
    "current_provision",
    "non_current_provision",
    "accounts_receivable",
    "accounts_payable",
    "land_use_right",
    "short_term_deposits",
    "prepayments_deposits_and_other_receivables",
    "other_investments",
    "other_payables_and_accrued_expenses",
    "due_from_related_parties",
    "current_accounts_payable_to_related_parties",
    "total_assets_minus_current_liabilities",
    "advance_payment",
    "current_fixed_deposit",
    "mortgaged_deposits",
    "retirement_benefit_responsibility",
    "non_current_accounts_payable_to_related_parties",
    "convertible_notes_and_bonds",
    "non_current_mortgaged_deposits",
    "current_other_loans",
    "non_current_fixed_deposit",
    "total_equity_and_non_current_liabilities",
    "short_term_investment",
    "long_term_investment",
    "non_current_prepaid_rent",
    "developing_and_unsold_properties",
    "funds_deposited_with_peers_and_other_financial_institutions",
    "adjustment_items_for_current_liabilities",
    "shareholder_equity_adjustment_project",
    "adjustment_items_for_non_current_liabilities",
    "non_current_asset_adjustment_items",
    "current_asset_adjustment_project",
    "accounts_receivable_from_contracted_engineering_clients",
    "equity_of_subsidiary_companies",
    "current_prepaid_rent",
    "accumulation_fund",
    "total_assets_minus_total_liabilities",
    "asset_suspension_liability",
    "non_current_investment_contract_liabilities",
    "current_investment_contract_liabilities",
    "foreign_currency_statement_conversion_reserve",
    "deposit_funds_from_the_central_bank",
    "accounts_receivable_from_contract_customers",
    "jointly_controlling_entity_equity",
    "funding_borrowed_current",
    "current_financial_liabilities_at_fair_value_through_profit_or_loss",
    "current_other_financial_assets",
    "current_accounts_receivable_loans",
    "non_current_other_financial_assets",
    "holding_assets_for_sale",
    "current_other_financial_liabilities",
    "non_current_other_financial_liabilities",
    "statutory_reserve",
    "non_current_funding_borrowed_",
    "negative_goodwill",
    "share_capital_and_premium",
    "available_for_sale_financial_assets_current",
    "available_for_sale_financial_assets_non_current",
]

CASHFLOW_STATEMENT_FIELDS = [
    "net_increase_from_other_financial_institutions",
    "net_increase_from_central_bank",
    "cash_paid_for_policy_dividends",
    "cash_paid_for_taxes",
    "cash_paid_for_employee",
    "cash_paid_for_other_financing_activities",
    "cash_paid_for_other_operation_activities",
    "cash_paid_for_other_investment_activities",
    "cash_paid_for_orignal_insurance",
    "net_increase_in_pledge_loans",
    "cash_paid_for_asset",
    "cash_paid_for_goods_and_services",
    "cash_received_from_sales_of_goods",
    "cash_received_from_investors",
    "cash_equivalent_increase",
    "cash_paid_to_acquire_investment",
    "cash_flow_from_investing_activities",
    "cash_received_from_investment_activities",
    "cash_paid_for_investment_activities",
    "net_cash_deal_from_sub",
    "exchange_rate_change_effect",
    "cash_received_from_disposal_of_investment",
    "cash_received_from_reinsurance",
    "cash_received_from_original_insurance",
    "cash_received_from_other_investment_activities",
    "cash_from_other_operating_activities",
    "cash_received_from_other_financing_activities",
    "refunds_of_taxes",
    "net_cash_payment_from_sub",
    "cash_received_from_investment",
    "cash_received_from_financial_institution_borrows",
    "dividends_paid_to_minority_by_subsidiaries",
    "cash_received_from_minority_invest_subsidiaries",
    "end_period_cash_equivalent",
    "net_increase_from_loans_and_advances",
    "net_deposit_increase",
    "cash_flow_from_operating_activities",
    "cash_from_operating_activities",
    "cash_paid_for_operation_activities",
    "begin_period_cash_equivalent",
    "net_increase_from_repurchasing_business",
    "cash_flow_from_financing_activities",
    "cash_received_from_financing_activities",
    "cash_paid_to_financing_activities",
    "cash_paid_for_dividend_and_interest",
    "net_increase_from_central_bank_and_banks",
    "net_increase_from_lending_capital",
    "net_increase_from_insurer_deposit_investment",
    "cash_paid_for_debt",
    "cash_received_from_interests_and_commissions",
    "cash_paid_for_comissions",
    "cash_received_from_disposal_of_asset",
    "cash_received_from_issuing_security",
    "cash_paid_for_reinsurance",
    "net_increase_from_disposing_financial_assets",
    "fixed_asset_depreciation",
    "intangible_asset_amortization",
    "assets_depreciation_reserves",
    "deferred_expense_amortization",
    "net_inc_cash_and_equivalents",
    "net_increase_from_financial_institutions",
    "cash_received_from_proxy_security",
    "net_increase_from__financing_buy_back",
    "net_increase_from_operating_buy_back",
    "net_increase_from_investing_buy_back",
    "cash_received_from_sub_issue_security",
    "cash_received_from_issuing_equity_instruments",
    "sell_fixed_assets",
    "sell_subsidiary_company",
    "net_cash_from_investment_business",
    "paid_financing_dividend",
    "paid_financing_interest",
    "absorb_investment_income",
    "issuance_fee_and_expense_for_redeeming_security",
    "purchase_fixed_assets",
    "other_financing_business_items",
    "other_investment_business_items",
    "received_investment_interest",
    "received_investment_dividend",
    "newly_added_loan",
    "net_cash_from_operation_business",
    "net_cash_from_financing_business",
    "issuing_bond",
    "end_period_cash",
    "begin_period_cash",
    "net_cash",
    "exchange_rate_impact",
    "repay_loan",
    "other_operation_adjustment_items",
    "other_depreciation_and_amortization",
    "non_computational_items_cashflow",
    "other_operation_business_items",
    "operating_profit_before_working_capital_change",
    "issuing_stock_bond",
    "interest_payment_cash_balance",
    "interest_collection_cash_balance",
    "profit_before_tax_cashflow",
    "cash_paid_for_intangible_assets_and_other_assets",
    "cash_from_operation",
    "acquisition_of_subcompany",
    "received_operation_interest",
    "received_operation_dividend",
    "paid_operation_interest",
    "other_paid_income_tax",
    "investment_profit",
    "selling_available_for_sale_investment_profit",
    "inventory_change",
    "accts_receivable_and_prepayment_change",
    "profit_from_selling_other_assets",
    "interest_expense_adjustment",
    "exchange_profit",
    "intangible_assets_amortization",
    "other_fair_value_change",
    "other_impairment_and_provision_cashflow",
    "deposit_change",
    "property_machine_and_device_impairment_reversal",
    "accts_payable_and_accrued_expense_change",
    "interest_income_adjustment",
    "dividend_income_adjustment",
    "selling_property_machine_and_device_profit",
    "attributable_profit_to_subcompany",
    "selling_joint_venture_profit",
    "goodwill_profit_impairment",
    "depreciation",
    "investment_property_change",
    "investment_property_change_cashflow",
    "financial_expense",
    "insurance_contract_liabilities_change",
    "bank_deposits",
    "profit_from_financial_assets_with_fair_value_change",
    "profit_from_financial_liabilities_with_fair_value_change",
    "accts_receivable_change",
    "paid_hk_profits_tax",
    "cash_and_bank_surplus",
    "amortization_or_depreciation_of_use_right_assets",
    "other_working_capital_change_items",
    "amortization_or_depreciation_of_investment_property",
    "repay_lease_liabilities",
    "depreciation_of_fixed_oil_gas_and_productive_biological_assets",
    "bad_debts_provision_reversal",
    "shares_reduction",
    "other_bank_operation_assets_change_items",
    "bank_borrowings_from_central_banks_change",
    "other_bank_operation_liabilities_changes_items",
    "bank_loan_and_advance_change",
    "unrealized_exchange_profit",
    "bank_client_deposits_change",
    "profit_from_bank_financial_liabilities_with_fair_value",
    "purchase_resale_financial_assets_change",
    "derivative_financial_instruments_change",
    "derivative_financial_instruments_change_cashflow",
    "profit_from_bank_financial_assets_with_fair_value",
    "selling_intangible_and_other_assets",
    "selling_subcompany_interests_profit",
    "derivative_financial_instruments_increase",
    "bank_deposits_change",
    "paid_cn_income_tax",
    "accts_payable_from_related_party_change",
    "accts_receivable_trade_impairment_reversal",
    "accts_receivable_from_related_party_change",
    "prepayment_change",
    "cash_equivalent_surplus",
    "adjustment_items_for_financing_business",
    "adjustment_items_for_period_changes",
    "other_cash_from_operation_items",
    "adjustment_items_for_investment_business",
    "adjustment_items_effecting_net_cash",
    "adjustment_items_for_working_capital_change",
    "adjustment_items_for_operation_business",
    "inventory_impairment_reversal",
    "restricted_cash_change",
    "develop_property_change",
    "mortgage_bank_deposit_financing_change",
    "other_period_change_items",
    "adjustment_items_for_operation_adjustment",
    "deferred_income_amortization",
    "advance_from_customers_increase",
    "financing_customer_advance_accts_change",
    "net_cash_before_financing",
    "available_for_investment_impairment_reversal",
    "paid_operation_dividend",
    "other_effecting_net_cash_items",
    "net_profit_cashflow",
]

INCOME_STATEMENT_FIELDS = [
    "other_income_equity_classified_income_statement",
    "remearsured_other_income",
    "other_income_equity_unclassified_income_statement",
    "other_debt_investment_change",
    "assets_reclassified_other_income",
    "other_equity_instruments_change",
    "other_debt_investment_reserve",
    "corporate_credit_risk_change",
    "cash_flow_hedging_effective_portion",
    "foreign_currency_statement_converted_difference",
    "others",
    "other_income_minority",
    "other_income_parent_company",
    "net_profit_parent_company",
    "other_income_unclassified_income_statement",
    "continuous_operation_net_profit",
    "other_income_classified_income_statement",
    "discontinued_operation_net_profit",
    "minority_profit",
    "exchange_gains_or_losses",
    "net_open_hedge_income",
    "non_operating_expense",
    "income_tax",
    "policy_dividend_payout",
    "total_expense",
    "reinsurance_cost",
    "fair_value_change_income",
    "ga_expense",
    "non_operating_revenue",
    "other_revenue",
    "interest_income",
    "other_income",
    "cost_of_goods_sold",
    "operating_revenue",
    "financing_interest_income",
    "financing_interest_expense",
    "profit_from_operation",
    "profit_before_tax",
    "investment_income",
    "refunded_premiums",
    "net_profit",
    "adjust_credit_asset_impairment",
    "r_n_d",
    "revenue",
    "earned_premiums",
    "financing_expense",
    "adjust_asset_impairment",
    "disposal_income_on_asset",
    "selling_expense",
    "invest_income_associates",
    "commission_income",
    "insurance_commission_expense",
    "fully_diluted_earnings_per_share",
    "total_income_minority",
    "basic_earnings_per_share",
    "total_income_parent_company",
    "total_income",
    "classified_by_continuity_operation",
    "classified_by_ownership",
    "reinsurance",
    "premiums_income",
    "financial_asset_available_for_sale_change",
    "reinsurance_income",
    "unearned_premium_reserve",
    "operating_expense",
    "amortization_premium_reserve",
    "amortization_reinsurance_cost",
    "amortization_expense",
    "compensation_expense",
    "premium_reserve",
    "o_n_a_expense",
    "disposal_loss_on_asset",
    "net_interest_income",
    "interest_expense",
    "sub_issue_security_income",
    "net_trust_income",
    "net_proxy_security_income",
    "net_commission_income",
    "financial_asset_hold_to_maturity_change",
    "commission_expense",
    "other_effecting_net_profits_items",
    "exchange_profit_expense",
    "other_income_items",
    "other_operating_income_items",
    "total_premium_income",
    "turnover",
    "other_expense",
    "non_computational_items_income",
    "taxation",
    "other_operating_expense_items",
    "other_items_before_deducting_impairment",
    "other_gross_profit_items",
    "service_fee_expense",
    "payment_compensation_and_total_expenses",
    "total_cost",
    "banks_income",
    "profit_after_tax",
    "profit_before_tax_income",
    "attributable_profit",
    "diluted_earnings_per_share",
    "dividend_per_share",
    "other_attributable_profit_items",
    "realized_net_premium_income",
    "attributable_profit_to_associated_company_and_joint_ventures",
    "other_payment_and_compensation_items",
    "underwriting_financing_loss",
    "premium_allocation",
    "distribut_reinsurance_financial_income",
    "premium_expense",
    "amortization_premium_expense",
    "net_expense_from_reinsurance_contract",
    "other_insurance_expense",
    "ga_expense_after_tax",
    "investment_contract_expense",
    "other_profit_items",
    "exchange_profit_income",
    "dividend",
    "net_premium_income",
    "net_payment_compensation",
    "operating_expense_before_deducting_impairment",
    "net_income_from_securities_trading_and_investment",
    "net_income_from_foreign_exchange_trading",
    "attributable_profit_to_associated_company",
    "net_service_fee_income",
    "service_fee_revenue",
    "other_impairment_and_provisions_income",
    "other_impairment_and_provision_income",
    "dividend_revenue",
    "revaluation_surplus",
    "operating_profit_before_deducting_impairment",
    "gross_profit",
    "other_operating_revenue",
    "operating_profit",
    "attributable_profit_to_joint_venture",
    "other_operating_profit_items",
    "common_shareholders_for_attributable_profit",
    "other_equity_instruments_holders_for_attributable_profit",
    "operating_expense_after_deducting_impairment",
    "designated_net_income_instruments_from_fair_value",
    "designated_net_income_assets_from_fair_value",
    "operating_profit_after_deducting_impairment",
    "net_exchange",
    "discontinued_or_non_continuing_business_profit",
    "profit_adjustment_items_after_tax",
    "loans_and_advance_assets_impairment",
    "intangible_assets_amortization_and_impairment",
    "employee_compensation_and_benefits",
    "depreciation_and_amortization",
    "depreciation_and_impairment_of_property_machine_and_device",
    "salary_and_welfare_expenses",
    "net_profit_from_selling_fixed_assets",
    "profit_from_selling_assets",
    "net_profit_from_selling_subcompany",
    "net_rental_income",
    "taxes_and_surcharges",
    "goodwill_impairment",
    "net_profit_from_selling_investment_property",
    "operating_revenue_adjustment_items",
    "net_insurance_claims_and_policy_holding_liabilities",
    "cost_to_sales",
    "profit_adjustment_items",
    "attributable_profit_to_adjustment_items",
    "adjustment_items_for_attributable_profit",
    "operating_profit_adjustment_items",
    "financing_cost",
    "sales_and_distribution_expense",
    "administration_expense",
    "operating_interest_expense",
    "other_cost",
    "investment_property_change_income",
    "other_profit_items_after_tax",
    "continuous_operation_after_tax_profit",
    "derivative_financial_instruments_change_income",
    "financial_assets_change",
    "gross_profit_adjustment_project",
    "attributable_diluted_eps_from_continuous_business",
    "attributable_basic_eps_from_continuous_business",
    "attributable_diluted_eps_from_termination_business",
    "attributable_basic_eps_from_termination_business",
    "attributable_profit_from_termination_business",
    "attributable_profit_to_non_controlling_interest_from_continuous_business",
    "attributable_profit_to_non_controlling_interest_from_termination_business",
    "attributable_profit_from_continuous_business",
    "other_assets_change",
    "intangible_assets_impairment",
    "property_machine_and_device_impairment",
    "deferred_tax",
    "brokerage_commission_income",
    "assets_expense_income",
    "attributable_profit_to_jointly_controlled_entity",
]

HK_FIELDS_LIST_EX = (
    BALANCE_SHEET_FIELDS + CASHFLOW_STATEMENT_FIELDS + INCOME_STATEMENT_FIELDS
)
